import 'package:test/test.dart';

import 'package:katana/katana.dart';

void main() {
  test("splitWhere", () async {
    expect(
      [
        ...List.generate(10, (i) => DateTime(2021, 1, i + 1)),
        ...List.generate(10, (i) => DateTime(2021, 2, i + 1)),
        ...List.generate(10, (i) => DateTime(2021, 3, i + 1)),
      ].splitWhere((a, b) => a.year == b.year && a.month == b.month),
      [
        List.generate(10, (i) => DateTime(2021, 1, i + 1)),
        List.generate(10, (i) => DateTime(2021, 2, i + 1)),
        List.generate(10, (i) => DateTime(2021, 3, i + 1)),
      ],
    );
  });
}
